package org.seasar.jsf.template;

import javax.faces.component.UIComponent;

/**
 * @author higa
 *
 */
public interface ComponentTreeBuilder {

	public void buildTree(UIComponent parent);
	
	public int getChildCount();
	
	public ComponentTreeBuilder getChild(int index);
	
	public void addChild(ComponentTreeBuilder builder);
}
